package com.steering.mes.mcp.entity;

/**
 * 数据库表HTT_COUPLING所对应的实体类（生成工具：代码生成器3.0）
 * @author LAPTOP-I2IGVKJC   date 2021-05-14
 */
@SuppressWarnings("serial")
public class HttCouplingEntity implements java.io.Serializable {
    /**
     * id
     */
    private String id = "";
    /**
     * 机床
     */
    private String machine = "";
    /**
     * 规格
     */
    private String specifications = "";
    /**
     * 钢级
     */
    private String steel = "";
    /**
     * 扣型
     */
    private String modelType = "";
    /**
     * 车丝系数
     */
    private String carSilkCoefficient = "";
    /**
     * 切管系数
     */
    private String cuttingPipeCoefficient = "";
    /**
     * 磷化系数
     */
    private String phosphatingCoefficient = "";
    /**
     * 车丝钢级
     */
    private String carSilkSteel = "";
    /**
     * 切管钢级
     */
    private String cuttingPipeSteel = "";
    /**
     * 磷化钢级
     */
    private String phosphatingSteel = "";
    /**
     * 镀层
     */
    private String plating = "";
    /**
     * 创建人
     */
    private String createName = "";
    /**
     * 创建时间
     */
    private String createTime = "";
    /**
     * 修改人
     */
    private String updateName = "";
    /**
     * 修改时间
     */
    private String updateTime = "";
    /**
     * 删除人
     */
    private String deleteName = "";
    /**
     * 删除时间
     */
    private String deleteTime = "";
    /**
     * 有效标志(1:有效，0:无效)
     */
    private String validflag = "";
    /**
     * 备注
     */
    private String memo = "";

    /**
     * id
     * @return value
     */
    public String getId() {
        return id;
    }

    /**
     * id
     * @param id value
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * 机床
     * @return value
     */
    public String getMachine() {
        return machine;
    }

    /**
     * 机床
     * @param machine value
     */
    public void setMachine(String machine) {
        this.machine = machine;
    }

    /**
     * 规格
     * @return value
     */
    public String getSpecifications() {
        return specifications;
    }

    /**
     * 规格
     * @param specifications value
     */
    public void setSpecifications(String specifications) {
        this.specifications = specifications;
    }

    /**
     * 钢级
     * @return value
     */
    public String getSteel() {
        return steel;
    }

    /**
     * 钢级
     * @param steel value
     */
    public void setSteel(String steel) {
        this.steel = steel;
    }

    /**
     * 扣型
     * @return value
     */
    public String getModelType() {
        return modelType;
    }

    /**
     * 扣型
     * @param modelType value
     */
    public void setModelType(String modelType) {
        this.modelType = modelType;
    }

    /**
     * 车丝系数
     * @return value
     */
    public String getCarSilkCoefficient() {
        return carSilkCoefficient;
    }

    /**
     * 车丝系数
     * @param carSilkCoefficient value
     */
    public void setCarSilkCoefficient(String carSilkCoefficient) {
        this.carSilkCoefficient = carSilkCoefficient;
    }

    /**
     * 切管系数
     * @return value
     */
    public String getCuttingPipeCoefficient() {
        return cuttingPipeCoefficient;
    }

    /**
     * 切管系数
     * @param cuttingPipeCoefficient value
     */
    public void setCuttingPipeCoefficient(String cuttingPipeCoefficient) {
        this.cuttingPipeCoefficient = cuttingPipeCoefficient;
    }

    /**
     * 磷化系数
     * @return value
     */
    public String getPhosphatingCoefficient() {
        return phosphatingCoefficient;
    }

    /**
     * 磷化系数
     * @param phosphatingCoefficient value
     */
    public void setPhosphatingCoefficient(String phosphatingCoefficient) {
        this.phosphatingCoefficient = phosphatingCoefficient;
    }

    /**
     * 车丝钢级
     * @return value
     */
    public String getCarSilkSteel() {
        return carSilkSteel;
    }

    /**
     * 车丝钢级
     * @param carSilkSteel value
     */
    public void setCarSilkSteel(String carSilkSteel) {
        this.carSilkSteel = carSilkSteel;
    }

    /**
     * 切管钢级
     * @return value
     */
    public String getCuttingPipeSteel() {
        return cuttingPipeSteel;
    }

    /**
     * 切管钢级
     * @param cuttingPipeSteel value
     */
    public void setCuttingPipeSteel(String cuttingPipeSteel) {
        this.cuttingPipeSteel = cuttingPipeSteel;
    }

    /**
     * 磷化钢级
     * @return value
     */
    public String getPhosphatingSteel() {
        return phosphatingSteel;
    }

    /**
     * 磷化钢级
     * @param phosphatingSteel value
     */
    public void setPhosphatingSteel(String phosphatingSteel) {
        this.phosphatingSteel = phosphatingSteel;
    }

    /**
     * 镀层
     * @return value
     */
    public String getPlating() {
        return plating;
    }

    /**
     * 镀层
     * @param plating value
     */
    public void setPlating(String plating) {
        this.plating = plating;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 删除人
     * @return value
     */
    public String getDeleteName() {
        return deleteName;
    }

    /**
     * 删除人
     * @param deleteName value
     */
    public void setDeleteName(String deleteName) {
        this.deleteName = deleteName;
    }

    /**
     * 删除时间
     * @return value
     */
    public String getDeleteTime() {
        return deleteTime;
    }

    /**
     * 删除时间
     * @param deleteTime value
     */
    public void setDeleteTime(String deleteTime) {
        this.deleteTime = deleteTime;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @return value
     */
    public String getValidflag() {
        return validflag;
    }

    /**
     * 有效标志(1:有效，0:无效)
     * @param validflag value
     */
    public void setValidflag(String validflag) {
        this.validflag = validflag;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }
}
